local utils = require("utils")

local helpyShot = {}
helpyShot.name = "EvaHelper/HelpyShot"
helpyShot.depth = 0
helpyShot.placements = {
    {
        name = "Helpy Shot",
		data = {
			maxSpeed = 400,
			gravity = 120,
			reflectSpeedMultKoef = 0.9,
			destroyFixedFigures = true,
			helpyRobotTrace = false,
			signalsGet = "",
			throwUpOnReflect = false
		}
    }
}

function helpyShot.selection(room, entity)
    return utils.rectangle((entity.x or 0) - 8, (entity.y or 0) - 8, 16, 16)
end

function helpyShot.texture(room, entity)
    return "Evidence02/objects_eva/ahorn/helpyshot"
end

return helpyShot
